#include "PX_Game.h"


typedef struct 
{
	PX_Object* pList;
	PX_Runtime* pruntime;
	PX_Json* language;
	PX_Json* config;
	PX_FontModule* fm;
	PX_GAME_RESULT result[PX_GAMEINSTANCEDATA_MAX];
	PX_Game game;
	px_memorypool mp;
	px_texture renderSurface;
	px_float gamespeed;
	px_bool auto_observer_mode;
	px_dword auto_observer_elapsed;
	PX_Object* messagebox,*slider_speed;
}PX_Object_Battle;



PX_Object* PX_Object_BattleCreate(PX_Runtime* pruntime, PX_Object* parent, PX_Json* language, PX_Json* config, PX_FontModule* fm);
px_void PX_Object_BattleRefresh(PX_Object* pObject);
px_void PX_Object_BattleResetData(PX_Object* pObject);