#ifndef PX_OBJECT_RANK_H
#define PX_OBJECT_RANK_H

#include "PainterEngine_Startup.h"
#include "PX_Game.h"

#define PX_OBJECT_RANK_EVENT_REFRESH 0x1000
#define PX_OBJECT_RANK_EVENT_JOIN 0x1001

typedef struct  
{
	px_memorypool* mp;
	PX_FontModule* fm;
	PX_Json* language, * config;
	PX_Object* list_rank, * pushbutton_observe, * pushbutton_refresh;
	px_texture rank1, rank2, rank3;
	PX_TCP_ADDR serveraddr;
	PX_Object* messagebox;
	PX_Json score_json;
	px_dword score_elapsed;
}PX_Object_Rank;


PX_Object* PX_Object_RankCreate(px_memorypool* mp, PX_Object* parent, px_float x, px_float y,px_float w,px_float h, PX_Json* language, PX_Json* config, PX_FontModule* fm);
px_void PX_Object_RankRefresh(PX_Object* pObject);
#endif