#ifndef PAINTERENGINE_APPLICATION_H
#define PAINTERENGINE_APPLICATION_H

#ifdef __cplusplus
extern "C"{
#endif

#include "PainterEngine_Startup.h"
#include "PX_Object_Battle.h"
#include "PX_Object_Server.h"
#include "PX_Object_Rank.h"
#include "PX_Object_Join.h"
#include "PX_Object_ClientUpToDate.h"
#include "PX_Object_Match.h"

	typedef struct
	{
		PX_Object* root;
		PX_Object* menu;
		PX_Object* page_join, * page_rank, * page_battle,*page_server,* page_match;
		PX_Object* function_uptodate;
		PX_Runtime runtime;
		PX_Json Language;
		PX_Json config;
		px_memorypool servermp;
	}PX_Application;

	extern PX_Application App;

	px_bool PX_ApplicationInitialize(PX_Application* App, px_int screen_Width, px_int screen_Height);
	px_void PX_ApplicationUpdate(PX_Application* App, px_dword elapsed);
	px_void PX_ApplicationRender(PX_Application* App, px_dword elapsed);
	px_void PX_ApplicationPostEvent(PX_Application* App, PX_Object_Event e);
#ifdef __cplusplus
}
#endif

#endif
