#ifndef PX_OBJECT_CLIENTUPTODATE_H
#define PX_OBJECT_CLIENTUPTODATE_H

#include "PainterEngine_Startup.h"
#include "PX_Game.h"


#define PX_OBJECT_CLIENTUPTODATE_DONE 0x2000

typedef enum 
{
	PX_OBJECT_CLIENTUPTODATE_STATE_QUERY,
	PX_OBJECT_CLIENTUPTODATE_STATE_PULLING,
	PX_OBJECT_CLIENTUPTODATE_STATE_DONE,
}PX_OBJECT_CLIENTUPTODATE_STATE;


typedef struct 
{
	px_memorypool* mp;
	PX_FontModule* fm;
	PX_Json* language,*config;
	px_dword local_crc32;
	px_int count;
	px_int current_pull_index;
	PX_Object* messagebox;
	PX_OBJECT_CLIENTUPTODATE_STATE state;
	PX_TCP tcp;
	PX_TCP_ADDR serveraddr;
	px_dword elapsed;
	px_char version[16];
}PX_Object_ClientUpToDate;

PX_Object* PX_Object_ClientUpToDateCreate(px_memorypool* mp,PX_Object* parent, PX_Json* language,PX_Json *config, PX_FontModule* fm);
px_void PX_Object_ClientUpToDateRefresh(PX_Object* pobject);
#endif
