#ifndef PX_OBJECT_JOIN_H
#define PX_OBJECT_JOIN_H

#include "PainterEngine_Startup.h"
#include "PX_Game.h"

#define PX_OBJECT_JOIN_EVENT_TEST 0x9000

typedef struct
{
	px_memorypool* mp;
	PX_Object* Image_profile;
	PX_Object* Edit_Name;
	PX_Object* Edit_Author;
	PX_Object* Edit_key;
	PX_Object* button_load;
	PX_Object* button_join;
	PX_Object* button_simulate;
	PX_Object* explorer_c, * explorer_png;
	PX_Object* messagebox;
	PX_FontModule* fm;
	PX_Json* language;
	PX_Json* config;
	px_string code;
	px_memory bin;
	px_texture profile_photo;
	px_texture profile_photo48x48;
	PX_TCP_ADDR serveraddr;
}PX_Object_Join;

PX_Object* PX_Object_JoinCreate(px_memorypool* mp, PX_Object* parent, px_float x, px_float y, PX_Json* language, PX_Json* config, PX_FontModule* fm);

#endif

