#ifndef PX_OBJECT_MISSILE_H
#define PX_OBJECT_MISSILE_H
#include "PainterEngine_Startup.h"
#include "PX_Game.h"

typedef struct
{
	PX_World* pworld;
	px_point array[32];
	px_float size;
	px_float vx, vy;
	px_dword elapsed;
	px_dword alive;
	px_dword delay;
	px_color clr;
}PX_Object_Missile;

PX_Object* PX_Object_MissileCreate(px_memorypool* mp, PX_World* pworld, px_float x, px_float y, px_float vx, px_float vy, px_dword target_type, px_color color);
#endif